package com.jpsoft.shinestar.modules.business.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
  描述:business_medical_person的实体类
 */
public class MedicalPerson {
	private String id;
	private String personId;
	private Boolean gender;
	private Date birthDate;
	private String allergicDrugs;
	private String medicalHistory;
	private Boolean delFlag;
	private String createBy;
	private Date createTime;
	private String updateBy;
	private Date updateTime;
	
		/**
	 *获取编号
	 */
	public String getId(){
		return id;
	}
	
	/**
	 *设置编号
	 */
	public void setId(String id){
		this.id = id;
	}
		/**
	 *获取人员ID
	 */
	public String getPersonId(){
		return personId;
	}
	
	/**
	 *设置人员ID
	 */
	public void setPersonId(String personId){
		this.personId = personId;
	}
		/**
	 *获取性别(0：男，1：女)
	 */
	public Boolean getGender(){
		return gender;
	}
	
	/**
	 *设置性别(0：男，1：女)
	 */
	public void setGender(Boolean gender){
		this.gender = gender;
	}

	@DateTimeFormat(pattern="yyyy-MM-dd")
	@JsonFormat(pattern = "yyyy-MM-dd")
		/**
	 *获取出生日期
	 */
	public Date getBirthDate(){
		return birthDate;
	}
	
	/**
	 *设置出生日期
	 */
	public void setBirthDate(Date birthDate){
		this.birthDate = birthDate;
	}
		/**
	 *获取过敏药品
	 */
	public String getAllergicDrugs(){
		return allergicDrugs;
	}
	
	/**
	 *设置过敏药品
	 */
	public void setAllergicDrugs(String allergicDrugs){
		this.allergicDrugs = allergicDrugs;
	}
		/**
	 *获取病史
	 */
	public String getMedicalHistory(){
		return medicalHistory;
	}
	
	/**
	 *设置病史
	 */
	public void setMedicalHistory(String medicalHistory){
		this.medicalHistory = medicalHistory;
	}
		/**
	 *获取是否删除
	 */
	public Boolean getDelFlag(){
		return delFlag;
	}
	
	/**
	 *设置是否删除
	 */
	public void setDelFlag(Boolean delFlag){
		this.delFlag = delFlag;
	}
		/**
	 *获取创建人
	 */
	public String getCreateBy(){
		return createBy;
	}
	
	/**
	 *设置创建人
	 */
	public void setCreateBy(String createBy){
		this.createBy = createBy;
	}
		@DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm")
		/**
	 *获取创建时间
	 */
	public Date getCreateTime(){
		return createTime;
	}
	
	/**
	 *设置创建时间
	 */
	public void setCreateTime(Date createTime){
		this.createTime = createTime;
	}
		/**
	 *获取更新人
	 */
	public String getUpdateBy(){
		return updateBy;
	}
	
	/**
	 *设置更新人
	 */
	public void setUpdateBy(String updateBy){
		this.updateBy = updateBy;
	}
		@DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm")
		/**
	 *获取更新时间
	 */
	public Date getUpdateTime(){
		return updateTime;
	}
	
	/**
	 *设置更新时间
	 */
	public void setUpdateTime(Date updateTime){
		this.updateTime = updateTime;
	}
}